[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.IntersectClipRect

Shrinks the clipping region of an Device Context to a rectangular boundary, e.g. a text area.

## Declaration

Source position: winapih.inc line 172

`public function TWidgetSet.IntersectClipRect(`
`dc: HDC;`
`Left: Integer;`
`Top: Integer;`
`Right: Integer;`
`Bottom: Integer`
`):Integer; virtual;`

## Function result

The region type, zero on failure.

## Description

Use this method before painting into a rectangle in an DC, to clip everything outside the rectangle and outside the current clipping region of the DC.

The result can be one of the following constants:
Error NullRegion SimpleRegion ComplexRegion Region_Error.